## wheel 0.33.6

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/wheel.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/wheel.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/wheel"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/wheel"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## wheel 0.24.0

=== debian/changelog ===
wheel (0.24.0-1~ubuntu1.1) trusty-security; urgency=medium

  * No change rebuild in -security pocket.

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Wed, 10 Oct 2018 13:55:13 -0300

wheel (0.24.0-1~ubuntu1) trusty-proposed; urgency=medium

  * SRU, update python3.4 for trusty. LP: #1433324.
  * Upload an initial source package to trusty.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 26 Jul 2014 21:33:38 +0200

wheel (0.24.0-1) unstable; urgency=medium

  * New upstream release.

 -- Barry Warsaw <barry@debian.org>  Sun, 13 Jul 2014 13:17:07 -0400

wheel (0.23.0-1) unstable; urgency=medium

  * Initial release. (Closes: #745673)

 -- Barry Warsaw <barry@debian.org>  Mon, 05 May 2014 18:02:18 -0400

=== debian/control ===
Source: wheel
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Barry Warsaw <barry@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Homepage: https://bitbucket.org/pypa/wheel
Section: python
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-pytest,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pytest,
               python3-setuptools
Standards-Version: 3.9.5
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/wheel/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/wheel/trunk/

Package: python-wheel
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: python-setuptools
Description: built-package format for Python
 A wheel is a ZIP-format archive with a specially formatted filename and the
 `.whl` extension.  It is designed to contain all the files for a PEP 376
 compatible install in a way that is very close to the on-disk format.
 .
 The wheel project provides a `bdist_wheel` command for setuptools.  Wheel
 files can be installed with `pip`.
 .
 This is the Python 2 compatible package.

Package: python3-wheel
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python3-setuptools
Description: built-package format for Python
 A wheel is a ZIP-format archive with a specially formatted filename and the
 `.whl` extension.  It is designed to contain all the files for a PEP 376
 compatible install in a way that is very close to the on-disk format.
 .
 The wheel project provides a `bdist_wheel` command for setuptools.  Wheel
 files can be installed with `pip`.
 .
 This is the Python 3 compatible package.

Package: python-wheel-common
Architecture: all
Depends: python3, python3-wheel, ${misc:Depends}
Description: built-package format for Python
 A wheel is a ZIP-format archive with a specially formatted filename and the
 `.whl` extension.  It is designed to contain all the files for a PEP 376
 compatible install in a way that is very close to the on-disk format.
 .
 The wheel project provides a `bdist_wheel` command for setuptools.  Wheel
 files can be installed with `pip`.
 .
 These are the command line scripts and manpages.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=wheel

%:
	dh $@ --with python2,python3 --buildsystem=pybuild


override_dh_install:
	rm -rf debian/python-wheel/usr/bin
	dh_install


override_dh_installman:
	(cd debian/manpages; \
	 sphinx-build -b man -d _build/doctrees . _build/man)
	dh_installman


override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
	mkdir -p debian/python-wheel-common/usr
	mv debian/python3-wheel/usr/bin debian/python-wheel-common/usr
	rm -rf debian/python3-wheel/usr/lib/python3.?/*-packages/*.egg-info


override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/manpages/_build

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/w/wheel/wheel-(.*).tar.gz

## wheel 0.26.0

=== debian/changelog ===
wheel (0.26.0-1) unstable; urgency=medium

  * New upstream release.
  * d/patches/python35-support.patch: Removed; applied upstream.
  * d/patches/reproducible-whls.diff:
    - Update patch to use $SOURCE_DATE_EPOCH instead of $WHEEL_FORCE_TIMESTAMP.
      (Closes: #795942)
    - Use time.gmtime() instead of .localtime() to avoid timezone issues.
      (Closes: #789981)
  * d/rules: The test suite requires an installed package, so defer this
    to DEP-8 tests.  (Closes: #796520)
  * d/tests/control: Add two tests of the package's test suite.
  * d/control: Now that the test suite isn't run at package build time,
    remove the Build-Depends on python-pytest and python3-pytest.
  * wrap-and-sort

 -- Barry Warsaw <barry@debian.org>  Thu, 01 Oct 2015 19:21:50 -0400

wheel (0.24.0-3) unstable; urgency=medium

  * d/patches/python35-support.patch: Fix a bug on Python 3.5.

 -- Barry Warsaw <barry@debian.org>  Wed, 24 Jun 2015 09:51:36 -0400

wheel (0.24.0-2) unstable; urgency=medium

  * d/control:
    - Bump Standards-Version with no other changes necessary.
    - Add XS-Testsuite header for DEP-8 tests.
  * d/rules:
    - Add commented out DH_VERBOSE setting.
    - Override the manpage date for reproducible builds. (Closes: #782405)
  * d/patch/reproducible-whls.diff: Add based on initial contribution
    from Reiner Herrmann, with further refinements by Barry Warsaw based
    on upstream pull request review.  (Closes: #776026)
  * d/watch: Use the pypi.debian.net redirector.
  * d/tests: Add smoke and reproducible .whl file DEP-8 tests.

 -- Barry Warsaw <barry@debian.org>  Fri, 12 Jun 2015 14:14:29 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: wheel
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Barry Warsaw <barry@debian.org>
+Maintainer: Barry Warsaw <barry@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Homepage: https://bitbucket.org/pypa/wheel
 Section: python
@@ -10,15 +9,14 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                python-all (>= 2.6.6-3~),
-               python-pytest,
                python-setuptools,
                python-sphinx,
                python3-all,
-               python3-pytest,
                python3-setuptools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/wheel/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/wheel/trunk/
+XS-Testsuite: autopkgtest
 
 Package: python-wheel
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=wheel
+
+LAST_CHANGE=$(shell dpkg-parsechangelog -S Date)
+BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
+#export DH_VERBOSE=1
 
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild
@@ -13,7 +17,10 @@
 
 override_dh_installman:
 	(cd debian/manpages; \
-	 sphinx-build -b man -d _build/doctrees . _build/man)
+	 sphinx-build \
+		-D today="$(BUILD_DATE)" \
+		-b man \
+		-d _build/doctrees . _build/man)
 	dh_installman
 
 
@@ -24,6 +31,10 @@
 	rm -rf debian/python3-wheel/usr/lib/python3.?/*-packages/*.egg-info
 
 
+# The tests require that the package be installed, so defer them to DEP-8.
+override_dh_auto_test:
+
+
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf debian/manpages/_build

## wheel 0.29.0

=== debian/changelog ===
wheel (0.29.0-2) unstable; urgency=medium

  * d/patches/reproducible-builds.patch: Added to sort Requires-Dist
    headers into a deterministic order.  Given by Chris Lamb.
    (Closes: #845325)
  * d/control:
    - Bump Standards-Version to 3.9.8 with no other changes necessary.
    - Add Recommends for python{,3}-keyring, python{,3}-keyrings.alt, and
      python{,3}-xdg for signature/keyring support.
  * d/tests/control: Add additional Depends for pytest commands.
  * wrap-and-sort -at

 -- Barry Warsaw <barry@debian.org>  Thu, 01 Dec 2016 11:04:31 -0500

wheel (0.29.0-1) unstable; urgency=medium

  * New upstream release.  (Closes: #813992)
  * d/control:
    - Bump Standards-Version to 3.9.7 with no other changes necessary.
    - Remove XS-Testsuite field; it's no longer needed.
    - Use https: URL in Vcs-Git field.
  * d/rules: Don't explicitly remove the python3.Y/*.egg-info directory.
  * d/patches/reproducible-whls.diff: Drop; applied upstream.

 -- Barry Warsaw <barry@debian.org>  Wed, 24 Feb 2016 14:44:18 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: wheel
 Maintainer: Barry Warsaw <barry@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
 Homepage: https://bitbucket.org/pypa/wheel
 Section: python
 X-Python-Version: >= 2.7
@@ -12,16 +12,19 @@
                python-setuptools,
                python-sphinx,
                python3-all,
-               python3-setuptools
-Standards-Version: 3.9.6
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/wheel/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/wheel/trunk/
-XS-Testsuite: autopkgtest
+               python3-setuptools,
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/wheel.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/wheel.git
 
 Package: python-wheel
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
-Suggests: python-setuptools
+Depends: ${misc:Depends},
+         ${python:Depends},
+Suggests: python-setuptools,
+Recommends: python-keyring,
+            python-keyrings.alt,
+            python-xdg,
 Description: built-package format for Python
  A wheel is a ZIP-format archive with a specially formatted filename and the
  `.whl` extension.  It is designed to contain all the files for a PEP 376
@@ -34,8 +37,12 @@
 
 Package: python3-wheel
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
-Suggests: python3-setuptools
+Depends: ${misc:Depends},
+         ${python3:Depends},
+Recommends: python3-keyring,
+            python3-keyrings.alt,
+            python3-xdg,
+Suggests: python3-setuptools,
 Description: built-package format for Python
  A wheel is a ZIP-format archive with a specially formatted filename and the
  `.whl` extension.  It is designed to contain all the files for a PEP 376
@@ -48,7 +55,9 @@
 
 Package: python-wheel-common
 Architecture: all
-Depends: python3, python3-wheel, ${misc:Depends}
+Depends: python3,
+         python3-wheel,
+         ${misc:Depends},
 Description: built-package format for Python
  A wheel is a ZIP-format archive with a specially formatted filename and the
  `.whl` extension.  It is designed to contain all the files for a PEP 376

=== debian/tests/control ===
Tests: smoketest-2
Depends: @, python-setuptools

Tests: smoketest-3
Depends: @, python3-setuptools

Tests: reproduce-2
Depends: @, python-setuptools, coreutils

Tests: reproduce-3
Depends: @, python3-setuptools, coreutils

Test-Command: python2 -m pytest --ignore=debian
Depends: @, python-setuptools, python-pytest, python-pytest-cov, python-jsonschema, python-xdg, python-keyring, python-keyrings.alt

Test-Command: python3 -m pytest --ignore=debian
Depends: @, python3-setuptools, python3-pytest, python3-pytest-cov, python3-jsonschema, python3-xdg, python3-keyring, python3-keyrings.alt

## wheel 0.30.0

=== debian/changelog ===
wheel (0.30.0-0.2ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: ReDOS in install.py
    - debian/patches/CVE-2022-40898.patch: Fix potential DoS attack
      via WHEEL_INFO_RE by restricting matching dash and dot characters
      in wheel/install.py.
    - CVE-2022-40898

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Mon, 23 Jan 2023 11:46:47 +0100

wheel (0.30.0-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/test/control: Comment out the two test commands, the other
    tests are passing.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 06 Feb 2018 19:04:10 +0100

wheel (0.30.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
  * Bump standards version.
  * Build-depend on python3-sphinx instead of python-sphinx.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Dec 2017 11:50:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: wheel
-Maintainer: Barry Warsaw <barry@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Barry Warsaw <barry@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
 Homepage: https://bitbucket.org/pypa/wheel
 Section: python
@@ -10,10 +11,10 @@
                dh-python,
                python-all (>= 2.6.6-3~),
                python-setuptools,
-               python-sphinx,
+               python3-sphinx,
                python3-all,
                python3-setuptools,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/wheel.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/wheel.git

=== debian/tests/control ===
Tests: smoketest-2
Depends: @, python-setuptools

Tests: smoketest-3
Depends: @, python3-setuptools

Tests: reproduce-2
Depends: @, python-setuptools, coreutils

Tests: reproduce-3
Depends: @, python3-setuptools, coreutils

#Test-Command: python2 -m pytest --ignore=debian
#Depends: @, python-setuptools, python-pytest, python-pytest-cov, python-jsonschema, python-xdg, python-keyring, python-keyrings.alt

#Test-Command: python3 -m pytest --ignore=debian
#Depends: @, python3-setuptools, python3-pytest, python3-pytest-cov, python3-jsonschema, python3-xdg, python3-keyring, python3-keyrings.alt

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/wheel/wheel-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## wheel 0.32.3

=== debian/changelog ===
wheel (0.32.3-2) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs.

  [ Andreas Tille ]
  * Upstream removed dir wheel/test - thus removing part of autopkgtest
    relying on that dir
    Closes: #915013
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Fri, 08 Feb 2019 07:55:06 +0100

wheel (0.32.3-1) unstable; urgency=medium

  * Team upload

  [ Barry Warsaw ]
  * d/control: Put DPMT in Maintainers and myself in Uploaders.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

  [ Andreas Tille ]
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Fix maintainer field
  * Build-Depends: python3-sphinx

 -- Andreas Tille <tille@debian.org>  Wed, 28 Nov 2018 16:09:39 +0100

=== debian/control ===
Source: wheel
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Barry Warsaw <barry@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python-all,
               python-setuptools,
               python3-sphinx,
               python3-all,
               python3-setuptools
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/wheel
Vcs-Git: https://salsa.debian.org/python-team/modules/wheel.git
Homepage: https://bitbucket.org/pypa/wheel

Package: python-wheel
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Recommends: python-keyring,
            python-keyrings.alt,
            python-xdg
Suggests: python-setuptools
Description: built-package format for Python
 A wheel is a ZIP-format archive with a specially formatted filename and the
 `.whl` extension.  It is designed to contain all the files for a PEP 376
 compatible install in a way that is very close to the on-disk format.
 .
 The wheel project provides a `bdist_wheel` command for setuptools.  Wheel
 files can be installed with `pip`.
 .
 This is the Python 2 compatible package.

Package: python3-wheel
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Recommends: python3-keyring,
            python3-keyrings.alt,
            python3-xdg
Suggests: python3-setuptools
Description: built-package format for Python
 A wheel is a ZIP-format archive with a specially formatted filename and the
 `.whl` extension.  It is designed to contain all the files for a PEP 376
 compatible install in a way that is very close to the on-disk format.
 .
 The wheel project provides a `bdist_wheel` command for setuptools.  Wheel
 files can be installed with `pip`.
 .
 This is the Python 3 compatible package.

Package: python-wheel-common
Architecture: all
Depends: python3,
         python3-wheel,
         ${misc:Depends}
Description: built-package format for Python
 A wheel is a ZIP-format archive with a specially formatted filename and the
 `.whl` extension.  It is designed to contain all the files for a PEP 376
 compatible install in a way that is very close to the on-disk format.
 .
 The wheel project provides a `bdist_wheel` command for setuptools.  Wheel
 files can be installed with `pip`.
 .
 These are the command line scripts and manpages.

=== debian/tests/control ===
Tests: smoketest-2
Depends: @, python-setuptools

Tests: smoketest-3
Depends: @, python3-setuptools

Tests: reproduce-2
Depends: @, python-setuptools, coreutils

Tests: reproduce-3
Depends: @, python3-setuptools, coreutils

## wheel 0.33.6

=== debian/changelog ===
wheel (0.33.6-2) unstable; urgency=medium

  * Team upload.
  * Use /usr/bin/python2 for autopkgtests (Closes: #944342)

 -- Nicolas Dandrimont <olasd@debian.org>  Tue, 19 Nov 2019 18:57:35 +0100

wheel (0.33.6-1) unstable; urgency=medium

  * Team upload.

  [ Nicolas Dandrimont ]
  * New upstream release
  * Use Rules-Requires-Root: no
  * Bump standards version to 4.4.1
  * Use debhelper compat 12
  * Use /usr/share/dpkg/pkg-info.mk instead of parsing dpkg-
    parsechangelog
  * Deduplicate short package descriptions

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- Nicolas Dandrimont <olasd@debian.org>  Thu, 17 Oct 2019 15:24:20 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Uploaders: Barry Warsaw <barry@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python-all,
                python-setuptools,
                python3-sphinx,
                python3-all,
                python3-setuptools
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/python-team/modules/wheel
 Vcs-Git: https://salsa.debian.org/python-team/modules/wheel.git
 Homepage: https://bitbucket.org/pypa/wheel
@@ -23,7 +24,7 @@
             python-keyrings.alt,
             python-xdg
 Suggests: python-setuptools
-Description: built-package format for Python
+Description: built-package format for Python (Python2 version)
  A wheel is a ZIP-format archive with a specially formatted filename and the
  `.whl` extension.  It is designed to contain all the files for a PEP 376
  compatible install in a way that is very close to the on-disk format.
@@ -56,7 +57,7 @@
 Depends: python3,
          python3-wheel,
          ${misc:Depends}
-Description: built-package format for Python
+Description: built-package format for Python (command-line scripts)
  A wheel is a ZIP-format archive with a specially formatted filename and the
  `.whl` extension.  It is designed to contain all the files for a PEP 376
  compatible install in a way that is very close to the on-disk format.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=wheel
export PYBUILD_VERBOSE=1
export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(SOURCE_DATE_EPOCH)")

%:
	dh $@ --with python2,python3 --buildsystem=pybuild


override_dh_install:
	rm -rf debian/python-wheel/usr/bin
	dh_install


override_dh_installman:
	(cd debian/manpages; \
	 python3 -m sphinx \
		-D today="$(BUILD_DATE)" \
		-b man \
		-d _build/doctrees . _build/man)
	dh_installman


override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
	mkdir -p debian/python-wheel-common/usr
	mv debian/python3-wheel/usr/bin debian/python-wheel-common/usr


# The tests require that the package be installed, so defer them to DEP-8.
override_dh_auto_test:


override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/manpages/_build

## wheel 0.34.2

=== debian/changelog ===
wheel (0.34.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 0.34.2.
  * Update Standards-Version to 4.5.0 (no changes).

 -- Nicolas Dandrimont <olasd@debian.org>  Fri, 20 Mar 2020 19:36:29 +0100

wheel (0.33.6-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Dmitry Shachnev ]
  * Update Homepage, upstream moved from BitBucket to GitHub.
  * Drop python-keyring, python-keyrings.alt and python-xdg Recommends.
    They were needed for signing and verifying features that were removed
    in wheel 0.32.0.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #938819

 -- Sandro Tosi <morph@debian.org>  Mon, 16 Mar 2020 00:51:23 -0400

=== debian/control ===
--- 
+++ 
@@ -6,41 +6,18 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python-all,
-               python-setuptools,
                python3-sphinx,
                python3-all,
                python3-setuptools
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/wheel
 Vcs-Git: https://salsa.debian.org/python-team/modules/wheel.git
-Homepage: https://bitbucket.org/pypa/wheel
-
-Package: python-wheel
-Architecture: all
-Depends: ${misc:Depends},
-         ${python:Depends}
-Recommends: python-keyring,
-            python-keyrings.alt,
-            python-xdg
-Suggests: python-setuptools
-Description: built-package format for Python (Python2 version)
- A wheel is a ZIP-format archive with a specially formatted filename and the
- `.whl` extension.  It is designed to contain all the files for a PEP 376
- compatible install in a way that is very close to the on-disk format.
- .
- The wheel project provides a `bdist_wheel` command for setuptools.  Wheel
- files can be installed with `pip`.
- .
- This is the Python 2 compatible package.
+Homepage: https://github.com/pypa/wheel
 
 Package: python3-wheel
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends}
-Recommends: python3-keyring,
-            python3-keyrings.alt,
-            python3-xdg
 Suggests: python3-setuptools
 Description: built-package format for Python
  A wheel is a ZIP-format archive with a specially formatted filename and the

=== debian/rules ===
--- 
+++ 
@@ -9,12 +9,7 @@
 BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(SOURCE_DATE_EPOCH)")
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
-
-
-override_dh_install:
-	rm -rf debian/python-wheel/usr/bin
-	dh_install
+	dh $@ --with python3 --buildsystem=pybuild
 
 
 override_dh_installman:

=== debian/tests/control ===
Tests: smoketest-3
Depends: @, python3-setuptools

Tests: reproduce-3
Depends: @, python3-setuptools, coreutils

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/wheel/wheel-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## wheel 0.37.1

=== debian/changelog ===
wheel (0.37.1-2ubuntu0.22.04.1) jammy-security; urgency=medium

  * SECURITY UPDATE: ReDOS in wheelfile.py
    - debian/patches/CVE-2022-40898.patch: Fix potential DoS attack  
      via WHEEL_INFO_RE by restricting matching dash and dot characters              
      in src/wheel/wheelfile.py.
    - CVE-2022-40898

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Mon, 23 Jan 2023 11:29:47 +0100

wheel (0.37.1-2) unstable; urgency=medium

  * Source-only upload.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 12 Jan 2022 19:39:47 -0400

wheel (0.37.1-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.
  * Add myself as an uploader.
  * Update copyright.
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Bump watch format to 4.
  * Build upstream's RST manpage with Sphinx (requiring a patch).
  * Run tests at build time with tox.
    - Patch: Skip MacOS tests.
  * Run test suite as an autopkgtest.
  * Mark existing autopkgtests as allow-stderr, due to deprecation warning
    emitted by newer setuptools. (Closes: #1002533)
  * Explicitly depend on python3-distutils (Closes: #1003150)
  * Extend upstream metadata.
  * Build a python3-wheel-whl package. (Closes: #1003573)

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Remove MIA uploader Barry Warsaw <barry@debian.org>. Closes: #970183

 -- Stefano Rivera <stefanor@debian.org>  Wed, 12 Jan 2022 13:29:30 -0400

=== debian/control ===
Source: wheel
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Section: python
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all-dev,
               python3-pytest,
               python3-pytest-cov,
               python3-setuptools,
               python3-sphinx,
               tox
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/wheel
Vcs-Git: https://salsa.debian.org/python-team/packages/wheel.git
Homepage: https://github.com/pypa/wheel

Package: python3-wheel
Architecture: all
Depends: python3-distutils, ${misc:Depends}, ${python3:Depends}
Suggests: python3-setuptools
Description: built-package format for Python
 A wheel is a ZIP-format archive with a specially formatted filename and the
 `.whl` extension.  It is designed to contain all the files for a PEP 376
 compatible install in a way that is very close to the on-disk format.
 .
 The wheel project provides a `bdist_wheel` command for setuptools.  Wheel
 files can be installed with `pip`.
 .
 This is the Python 3 compatible package.

Package: python-wheel-common
Architecture: all
Depends: python3, python3-wheel, ${misc:Depends}
Description: built-package format for Python (command-line scripts)
 A wheel is a ZIP-format archive with a specially formatted filename and the
 `.whl` extension.  It is designed to contain all the files for a PEP 376
 compatible install in a way that is very close to the on-disk format.
 .
 The wheel project provides a `bdist_wheel` command for setuptools.  Wheel
 files can be installed with `pip`.
 .
 These are the command line scripts and manpages.

Package: python3-wheel-whl
Architecture: all
Depends: ${misc:Depends}
Provides: python2-wheel-whl
Breaks: python-pip-whl (<< 21.3.1+dfsg-2~)
Replaces: python-pip-whl (<< 21.3.1+dfsg-2~)
Description: built-package format for Python (wheel wheel)
 A wheel is a ZIP-format archive with a specially formatted filename and the
 `.whl` extension.  It is designed to contain all the files for a PEP 376
 compatible install in a way that is very close to the on-disk format.
 .
 This is the support package for the PEP 427 wheel version of the package,
 required for using wheel inside a virtual environment.

=== debian/rules ===
--- 
+++ 
@@ -11,9 +11,14 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
+override_dh_install:
+	mkdir -p debian/python3-wheel-whl/usr/share/python-wheels
+	python3 setup.py bdist_wheel --universal \
+	        -d debian/python3-wheel-whl/usr/share/python-wheels
+	dh_install
 
 override_dh_installman:
-	(cd debian/manpages; \
+	(cd docs; \
 	 python3 -m sphinx \
 		-D today="$(BUILD_DATE)" \
 		-b man \
@@ -25,12 +30,3 @@
 	dh_python3 --shebang=/usr/bin/python3
 	mkdir -p debian/python-wheel-common/usr
 	mv debian/python3-wheel/usr/bin debian/python-wheel-common/usr
-
-
-# The tests require that the package be installed, so defer them to DEP-8.
-override_dh_auto_test:
-
-
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -rf debian/manpages/_build

## wheel 0.38.0

=== debian/changelog ===
wheel (0.38.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Python 2.7 support was dropped, drop the provide.
  * The wheel filename has changed, drop the breaks+replaces.
  * Patch: Fix the documentation build version parser.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 01 Nov 2022 15:17:01 +0200

wheel (0.37.1-5) unstable; urgency=medium

  * Prefer execute_after to overrides in debian/rules.
  * Support the nodoc and nocheck build profiles.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 18 Oct 2022 18:26:21 +0200

wheel (0.37.1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Apply multi-arch hints. + python3-wheel-whl: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 18:16:15 +0100

wheel (0.37.1-3) unstable; urgency=medium

  * Team upload

  [ Scott Kitterman ]
  * Add d/s/lintian-overrides for build-depends-on-python-dev-with-no-arch-any
    since -dev packages are needed for tests

  [ Emanuele Rocca ]
  * Add PYTHONPATH to `python3 setup.py bdist_wheel` in d/rules to fix FTBFS
    (Closes: #1019994)
  * Update Standards-Version to 4.6.1

 -- Emanuele Rocca <ema@debian.org>  Sat, 24 Sep 2022 13:33:06 +0200

## wheel 0.38.4

=== debian/changelog ===
wheel (0.38.4-2) unstable; urgency=medium

  * Correctly clean. (Closes: #1034079)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 11 Apr 2023 14:10:59 -0400

wheel (0.38.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch docs-version-parser, superseded upstream.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 10 Nov 2022 12:24:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: wheel
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Section: python
 Priority: optional
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all-dev,
-               python3-pytest,
-               python3-pytest-cov,
+               python3-pytest <!nocheck>,
+               python3-pytest-cov <!nocheck>,
                python3-setuptools,
-               python3-sphinx,
-               tox
-Standards-Version: 4.6.0
+               python3-sphinx <!nodoc>,
+               tox <!nocheck>
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/wheel
 Vcs-Git: https://salsa.debian.org/python-team/packages/wheel.git
 Homepage: https://github.com/pypa/wheel
@@ -48,9 +47,7 @@
 Package: python3-wheel-whl
 Architecture: all
 Depends: ${misc:Depends}
-Provides: python2-wheel-whl
-Breaks: python-pip-whl (<< 21.3.1+dfsg-2~)
-Replaces: python-pip-whl (<< 21.3.1+dfsg-2~)
+Multi-Arch: foreign
 Description: built-package format for Python (wheel wheel)
  A wheel is a ZIP-format archive with a specially formatted filename and the
  `.whl` extension.  It is designed to contain all the files for a PEP 376

=== debian/rules ===
--- 
+++ 
@@ -11,20 +11,19 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
-override_dh_install:
+execute_before_dh_install:
 	mkdir -p debian/python3-wheel-whl/usr/share/python-wheels
-	python3 setup.py bdist_wheel --universal \
+	PYTHONPATH=src python3 setup.py bdist_wheel \
 	        -d debian/python3-wheel-whl/usr/share/python-wheels
-	dh_install
 
-override_dh_installman:
+execute_before_dh_installman:
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	(cd docs; \
 	 python3 -m sphinx \
 		-D today="$(BUILD_DATE)" \
 		-b man \
 		-d _build/doctrees . _build/man)
-	dh_installman
-
+endif
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/wheel/wheel-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## wheel 0.40.0

=== debian/changelog ===
wheel (0.40.0-2) experimental; urgency=medium

  * Correctly clean. (Closes: #1034079)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 11 Apr 2023 14:11:59 -0400

wheel (0.40.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop patch sphinx-manpage, superseded upstream.
  * Migrate to pybuild-plugin-pyproject, upstream is using flit.
  * Drop reproducible sphinx tweaks in debian/rules, it's now reproducible out
    of the box.
  * Bump tox Build-Dep, following upstream.
  * Use pybuild --test-custom to drive tox, because we don't have a tox.ini.
  * Use --installpkg to get around tox 4 requiring isolated builds.
  * Update copyright (packaging is now vendored).
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 26 Mar 2023 11:07:48 -0400

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               flit,
+               pybuild-plugin-pyproject,
                python3-all-dev,
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
-               python3-setuptools,
                python3-sphinx <!nodoc>,
-               tox <!nocheck>
-Standards-Version: 4.6.1
+               tox (>= 4) <!nocheck>
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/wheel
 Vcs-Git: https://salsa.debian.org/python-team/packages/wheel.git
 Homepage: https://github.com/pypa/wheel

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=wheel
export PYBUILD_VERBOSE=1
export DH_VERBOSE=1
export PYBUILD_AFTER_INSTALL=mkdir -p {dir}/debian/python3-wheel-whl/usr/share/python-wheels && cp {home_dir}/*.whl {dir}/debian/python3-wheel-whl/usr/share/python-wheels
# pybuild requires tox.ini: #1033486
export PYBUILD_TEST_CUSTOM=1
export PYBUILD_TEST_ARGS=tox -c {dir}/pyproject.toml --sitepackages -e py{version.major}{version.minor} --installpkg {home_dir}/*.whl

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_before_dh_installman:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	(cd docs; \
	 python3 -m sphinx \
		-b man \
		-d _build/doctrees . _build/man)
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
	mkdir -p debian/python-wheel-common/usr
	mv debian/python3-wheel/usr/bin debian/python-wheel-common/usr

## wheel 0.41.0

=== debian/changelog ===
wheel (0.41.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 02 Aug 2023 18:04:16 +0200

wheel (0.41.0-1) experimental; urgency=medium

  * New upstream release.
  * Revert tox 4 workarounds, dh-python now supports it.
  * Bump dh-python Build-Depends, the version we need is still only in
    experimental.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 30 Jul 2023 14:28:15 +0200

## wheel 0.41.2

=== debian/changelog ===
wheel (0.41.2-1) unstable; urgency=medium

  * New upstream point release.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 22 Sep 2023 22:40:48 +0530

## wheel 0.42.0

=== debian/changelog ===
wheel (0.42.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 29 Nov 2023 17:27:17 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-python (>= 6),
                flit,
                pybuild-plugin-pyproject,
                python3-all-dev,

=== debian/tests/control ===
Tests: smoketest-3
Depends: python3-setuptools, python3-wheel
Restrictions: allow-stderr

Tests: reproduce-3
Depends: coreutils, python3-setuptools, python3-wheel
Restrictions: allow-stderr

Tests: unittests-3
Depends: build-essential,
         python3-all-dev,
         python3-pytest,
         python3-pytest-cov,
         python3-setuptools,
         python3-wheel

## wheel 0.43.0

=== debian/changelog ===
wheel (0.43.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 13 Mar 2024 09:54:40 -0400

wheel (0.42.0-2) unstable; urgency=medium

  * Drop Depends on python3-distutils, no longer required.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 05 Mar 2024 09:16:51 -0400

## wheel 0.44.0

=== debian/changelog ===
wheel (0.44.0-2) unstable; urgency=medium

  * Add missing Build-Depends on python3-setuptools, required for tests.
  * Bump Standards-Version to 4.7.0, no changes needed.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 05 Sep 2024 12:00:50 +0200

wheel (0.44.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 12 Aug 2024 10:59:40 +0200

## wheel 0.45.1

=== debian/changelog ===
wheel (0.45.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 23 Nov 2024 17:00:19 +0100

wheel (0.45.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 15 Nov 2024 09:32:45 +0100

=== debian/control ===
--- 
+++ 
@@ -11,16 +11,17 @@
                python3-all-dev,
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
+               python3-setuptools <!nocheck>,
                python3-sphinx <!nodoc>,
                tox (>= 4) <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/wheel
 Vcs-Git: https://salsa.debian.org/python-team/packages/wheel.git
 Homepage: https://github.com/pypa/wheel
 
 Package: python3-wheel
 Architecture: all
-Depends: python3-distutils, ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}
 Suggests: python3-setuptools
 Description: built-package format for Python
  A wheel is a ZIP-format archive with a specially formatted filename and the

## wheel 0.46.1

=== debian/changelog ===
wheel (0.46.1-2) unstable; urgency=medium

  * Actually upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 12 Apr 2025 18:38:59 -0400

wheel (0.46.1-1) experimental; urgency=medium

  * New upstream point release.
  * Upload to unstable.
  * python3-wheel-whl: Depend on python3-packaging-whl, until we can retire
    both of these binary packages.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 12 Apr 2025 17:59:42 -0400

wheel (0.46.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop patch skip-macos-tests, superseded upstream.
  * Bump Standards-Version to 4.7.2, no changes needed.
  * Update copyright.
  * Build-Depend on python3-packaging, it's no longer vendored.
  * Bump python3-setuptools Build-Depends.
    - Upload to experimental, as python3-setuptools (>=77) is not available in
      unstable, yet.
  * Patch: Run tox commands via {envpython}.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 05 Apr 2025 18:24:08 -0400

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,13 @@
                flit,
                pybuild-plugin-pyproject,
                python3-all-dev,
+               python3-packaging (>= 24) <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
-               python3-setuptools <!nocheck>,
+               python3-setuptools (>= 77) <!nocheck>,
                python3-sphinx <!nodoc>,
                tox (>= 4) <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/wheel
 Vcs-Git: https://salsa.debian.org/python-team/packages/wheel.git
 Homepage: https://github.com/pypa/wheel
@@ -48,7 +49,7 @@
 
 Package: python3-wheel-whl
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, python3-packaging-whl
 Multi-Arch: foreign
 Description: built-package format for Python (wheel wheel)
  A wheel is a ZIP-format archive with a specially formatted filename and the

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 export PYBUILD_VERBOSE=1
 export DH_VERBOSE=1
 export PYBUILD_AFTER_INSTALL=mkdir -p {dir}/debian/python3-wheel-whl/usr/share/python-wheels && cp {home_dir}/*.whl {dir}/debian/python3-wheel-whl/usr/share/python-wheels
-# pybuild requires tox.ini: #1033486
-export PYBUILD_TEST_CUSTOM=1
-export PYBUILD_TEST_ARGS=tox -c {dir}/pyproject.toml --sitepackages -e py{version.major}{version.minor} --installpkg {home_dir}/*.whl
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
